> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bills by date

> Fetch E-Way Bills for a consignee by generation date.

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/get_other_party_e_way_bills_by_date.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignee/bills
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignee/bills:
    get:
      tags:
        - E-Way Bill1
        - Consignee
      summary: Get E-Way Bills By Date
      operationId: getEWayBillsByDate1
      parameters:
        - name: generated_date
          in: query
          description: E-Way bill generated date
          required: true
          schema:
            type: string
            example: 18/09/2024
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: >-
            200 EWBs fetched / 325 Data not found / 366 Today's EWB cannot be
            fetched
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOtherPartyEWayBillsByDateResponse'
              examples:
                200 EWBs fetched:
                  summary: 200 EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - docDate: 01/05/2024
                          docNo: 7001-20
                          ewayBillDate: 03/05/2024 01:11:00 PM
                          ewbNo: 261010077217
                          fromGstin: 27AAACQ3770E004
                          fromTradeName: welton
                          genGstin: 27AAACQ3770E004
                          genMode: API
                          hsnCode: 1001
                          hsnDesc: Wheat
                          rejectStatus: 'N'
                          status: ACT
                          toGstin: 24AAACQ3770E003
                          toTradeName: sthuthya
                          totInvValue: 59464.94
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 415f2cb7-73e0-4c9d-b603-ea8f2e1cee2d
                325 Data not found:
                  summary: 325 Data not found
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '325'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: e5568759-7d3a-4dda-ba13-0c277e9b757e
                366 Today's EWB cannot be fetched:
                  summary: 366 Today's EWB cannot be fetched
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '366'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 4fa871d9-5575-46e4-9af6-4a9e9a170992
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetOtherPartyEWayBillsByDateResponse:
      oneOf:
        - $ref: '#/components/schemas/GetOtherPartyEWayBillsByDateSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    GetOtherPartyEWayBillsByDateSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/GetOtherPartyEWayBillsByDateSuccessPayload
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '325'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC sends "0" when it rejects a request.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetOtherPartyEWayBillsByDateSuccessPayload:
      type: array
      items:
        type: object
        properties:
          docDate:
            type: string
            example: 01/05/2024
            description: The docDate value.
          docNo:
            type: string
            example: 7001-20
            description: The docNo value.
          ewayBillDate:
            type: string
            example: 03/05/2024 01:11:00 PM
            description: The ewayBillDate value.
          ewbNo:
            type: number
            example: 261010077217
            description: The ewbNo value.
          fromGstin:
            type: string
            example: 27AAACQ3770E004
            description: The fromGstin value.
          fromTradeName:
            type: string
            example: welton
            description: The fromTradeName value.
          genGstin:
            type: string
            example: 27AAACQ3770E004
            description: The genGstin value.
          genMode:
            type: string
            example: API
            description: The genMode value.
          hsnCode:
            type: number
            example: 1001
            description: The hsnCode value.
          hsnDesc:
            type: string
            example: Wheat
            description: The hsnDesc value.
          rejectStatus:
            type: string
            example: 'N'
            description: The rejectStatus value.
          status:
            type: string
            example: ACT
            description: The status value.
          toGstin:
            type: string
            example: 24AAACQ3770E003
            description: The toGstin value.
          toTradeName:
            type: string
            example: sthuthya
            description: The toTradeName value.
          totInvValue:
            type: number
            example: 59464.94
            description: The totInvValue value.
        description: E-Way Bill schema.
      example:
        - docDate: 01/05/2024
          docNo: 7001-20
          ewayBillDate: 03/05/2024 01:11:00 PM
          ewbNo: 261010077217
          fromGstin: 27AAACQ3770E004
          fromTradeName: welton
          genGstin: 27AAACQ3770E004
          genMode: API
          hsnCode: 1001
          hsnDesc: Wheat
          rejectStatus: 'N'
          status: ACT
          toGstin: 24AAACQ3770E003
          toTradeName: sthuthya
          totInvValue: 59464.94
    EWayBillBusinessError:
      type: object
      description: Error data from NIC.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: >-
            NIC error code. See [E-Way Bill error
            codes](/api-reference/gst/annexures/e-way-bill-error-codes).

````